# HG changeset patch
# Node ID 213915d78b5d
# Parent  54e2bf5af34a
diff --git a/libpurple/buddy.c b/libpurple/buddy.c
--- a/libpurple/buddy.c
+++ b/libpurple/buddy.c
@@ -242,7 +242,7 @@
 	obj_class->set_property = purple_buddy_set_property;
 
 	/**
-	 * PurpleBuddy::id:
+	 * PurpleBuddy:id:
 	 *
 	 * A globally unique identifier for this specific buddy.
 	 *
diff --git a/libpurple/purplecredentialprovider.c b/libpurple/purplecredentialprovider.c
--- a/libpurple/purplecredentialprovider.c
+++ b/libpurple/purplecredentialprovider.c
@@ -194,7 +194,7 @@
 	obj_class->finalize = purple_credential_provider_finalize;
 
 	/**
-	 * PurpleCredentialProvider::id:
+	 * PurpleCredentialProvider:id:
 	 *
 	 * The ID of the provider.  Used for preferences and other things that need
 	 * to address it.
@@ -208,7 +208,7 @@
 	);
 
 	/**
-	 * PurpleCredentialProvider::name:
+	 * PurpleCredentialProvider:name:
 	 *
 	 * The name of the provider which will be displayed to the user.
 	 *
@@ -221,7 +221,7 @@
 	);
 
 	/**
-	 * PurpleCredentialProvider::description:
+	 * PurpleCredentialProvider:description:
 	 *
 	 * The description of the provider which will be displayed to the user.
 	 *
@@ -234,7 +234,7 @@
 	);
 
 	/**
-	 * PurpleCredentialProvider::settings:
+	 * PurpleCredentialProvider:settings:
 	 *
 	 * The [class@Gio.Settings] used to configure the provider. This may be
 	 * %NULL.
diff --git a/libpurple/purplehistoryadapter.c b/libpurple/purplehistoryadapter.c
--- a/libpurple/purplehistoryadapter.c
+++ b/libpurple/purplehistoryadapter.c
@@ -137,7 +137,7 @@
 	obj_class->finalize = purple_history_adapter_finalize;
 
 	/**
-	 * PurpleHistoryAdapter::id:
+	 * PurpleHistoryAdapter:id:
 	 *
 	 * The ID of the adapter.  Used for preferences and other things that need
 	 * to address it.
@@ -151,7 +151,7 @@
 	);
 
 	/**
-	 * PurpleHistoryAdapter::name:
+	 * PurpleHistoryAdapter:name:
 	 *
 	 * The name of the adapter.
 	 *
diff --git a/libpurple/purpleplugininfo.c b/libpurple/purpleplugininfo.c
--- a/libpurple/purpleplugininfo.c
+++ b/libpurple/purpleplugininfo.c
@@ -204,9 +204,9 @@
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
-	 * PurplePluginInfo::action-group:
+	 * PurplePluginInfo:action-group:
 	 *
-	 * A [class@Gio.ActionGroup] of actions that this plugin provides.
+	 * An [iface@Gio.ActionGroup] of actions that this plugin provides.
 	 *
 	 * Since: 3.0.0
 	 */
@@ -217,7 +217,7 @@
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
-	 * PurplePluginInfo::action-menu:
+	 * PurplePluginInfo:action-menu:
 	 *
 	 * A [class@Gio.MenuModel] for activating actions.
 	 *
diff --git a/libpurple/purpleprotocol.c b/libpurple/purpleprotocol.c
--- a/libpurple/purpleprotocol.c
+++ b/libpurple/purpleprotocol.c
@@ -282,7 +282,7 @@
 	klass->create_connection = purple_protocol_default_create_connection;
 
 	/**
-	 * PurpleProtocol::id:
+	 * PurpleProtocol:id:
 	 *
 	 * The identifier for the protocol.
 	 *
@@ -295,7 +295,7 @@
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
-	 * PurpleProtocol::name:
+	 * PurpleProtocol:name:
 	 *
 	 * The name to show in user interface for the protocol.
 	 *
@@ -308,7 +308,7 @@
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
-	 * PurpleProtocol::description:
+	 * PurpleProtocol:description:
 	 *
 	 * The description to show in user interface for the protocol.
 	 *
@@ -321,7 +321,7 @@
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
-	 * PurpleProtocol::icon-name:
+	 * PurpleProtocol:icon-name:
 	 *
 	 * The name of an icon that has been installed to either the path specified
 	 * via PurpleProtocol::icon-search-path or
@@ -336,7 +336,7 @@
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
-	 * PurpleProtocol::icon-search-path:
+	 * PurpleProtocol:icon-search-path:
 	 *
 	 * The path to an XDG Icon Theme directory which contains the icons for the
 	 * protocol. See purple_protocol_get_icon_search_path() for more
@@ -351,7 +351,7 @@
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
-	 * PurpleProtocol::icon-resource-path:
+	 * PurpleProtocol:icon-resource-path:
 	 *
 	 * A #GResource path which contains the icons for the protocol. See
 	 * purple_protocol_get_icon_resource_path() for more information.
@@ -365,7 +365,7 @@
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	/**
-	 * PurpleProtocol::options:
+	 * PurpleProtocol:options:
 	 *
 	 * The #PurpleProtocolOptions for the protocol.
 	 *
diff --git a/libpurple/purpleproxyinfo.c b/libpurple/purpleproxyinfo.c
--- a/libpurple/purpleproxyinfo.c
+++ b/libpurple/purpleproxyinfo.c
@@ -126,7 +126,7 @@
     obj_class->finalize = purple_proxy_info_finalize;
 
     /**
-     * PurpleProxyInfo::proxy-type:
+     * PurpleProxyInfo:proxy-type:
      *
      * The [enum@ProxyType] to use for this proxy.
      *
@@ -140,7 +140,7 @@
         G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
     /**
-     * PurpleProxyInfo::hostname:
+     * PurpleProxyInfo:hostname:
      *
      * The hostname to use for this proxy.
      *
@@ -153,7 +153,7 @@
         G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
     /**
-     * PurpleProxyInfo::port:
+     * PurpleProxyInfo:port:
      *
      * The port to use for this proxy.
      *
@@ -166,7 +166,7 @@
         G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
     /**
-     * PurpleProxyInfo::username:
+     * PurpleProxyInfo:username:
      *
      * The username to use for this proxy.
      *
@@ -179,7 +179,7 @@
         G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
     /**
-     * PurpleProxyInfo::password:
+     * PurpleProxyInfo:password:
      *
      * The password to use for this proxy.
      *
diff --git a/libpurple/purplesqlitehistoryadapter.c b/libpurple/purplesqlitehistoryadapter.c
--- a/libpurple/purplesqlitehistoryadapter.c
+++ b/libpurple/purplesqlitehistoryadapter.c
@@ -593,7 +593,7 @@
 	adapter_class->write = purple_sqlite_history_adapter_write;
 
 	/**
-	 * PurpleHistoryAdapter::filename:
+	 * PurpleSqliteHistoryAdapter:filename:
 	 *
 	 * The filename that the sqlite database will store data to.
 	 *
diff --git a/pidgin/pidginaccounteditor.c b/pidgin/pidginaccounteditor.c
--- a/pidgin/pidginaccounteditor.c
+++ b/pidgin/pidginaccounteditor.c
@@ -1178,7 +1178,7 @@
 	obj_class->finalize = pidgin_account_editor_finalize;
 
 	/**
-	 * PidginAccountEditor::account:
+	 * PidginAccountEditor:account:
 	 *
 	 * The account that this editor is modifying.
 	 *
@@ -1191,10 +1191,12 @@
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
 	/**
-	 * PidginAccountEditor::valid:
+	 * PidginAccountEditor:valid:
 	 *
 	 * Whether or not the account settings are valid and it is okay to save the
 	 * account.
+	 *
+	 * Since: 3.0.0
 	 */
 	properties[PROP_VALID] = g_param_spec_boolean(
 		"valid", "valid",
